package sample.sample15;

public class Sample15_2 {
	public static void main(String[] args) {
		哺乳類[] 動物たち = new 哺乳類[2];
		動物たち[0] = new 猫();
		動物たち[1] = new 犬();

		for (哺乳類 動物 : 動物たち) {
			動物.食べる(new ドッグフード());
			動物.食べる(new キャットフード());
			動物.食べる(new ワサビ());

			System.out.println("この動物は" + 動物.getName() + "でした\n");
		}
	}
}
